Upstream-Status: Pending
From dedadde83815ba01c33895f4f985167c2e29c41d Mon Sep 17 00:00:00 2001
From: Vishal Sagar <vishal.sagar@xilinx.com>
Date: Fri, 25 Feb 2022 13:05:11 +0530
Subject: [PATCH 100/295] dmaengine: xilinx: frmbuf: Add support for 3 planar
 YUV444 10bpc

This patch adds support for 3 planar YUV444 10 bits per component.

Signed-off-by: Vishal Sagar <vishal.sagar@xilinx.com>
Signed-off-by: Radhey Shyam Pandey <radhey.shyam.pandey@amd.com>
State: pending
---
 drivers/dma/xilinx/xilinx_frmbuf.c | 14 +++++++++++++-
 1 file changed, 13 insertions(+), 1 deletion(-)

diff --git a/drivers/dma/xilinx/xilinx_frmbuf.c b/drivers/dma/xilinx/xilinx_frmbuf.c
index 186ff3021f3c..10daeddc0351 100644
--- a/drivers/dma/xilinx/xilinx_frmbuf.c
+++ b/drivers/dma/xilinx/xilinx_frmbuf.c
@@ -100,6 +100,7 @@
 #define XILINX_FRMBUF_FMT_RGBX12		30
 #define XILINX_FRMBUF_FMT_RGB16			35
 #define XILINX_FRMBUF_FMT_Y_U_V8		42
+#define XILINX_FRMBUF_FMT_Y_U_V10		43
 
 /* FID Register */
 #define XILINX_FRMBUF_FID_MASK			BIT(0)
@@ -489,6 +490,16 @@ static const struct xilinx_frmbuf_format_desc xilinx_frmbuf_formats[] = {
 		.drm_fmt = DRM_FORMAT_YUV444,
 		.fmt_bitmask = BIT(24),
 	},
+	{
+		.dts_name = "y_u_v10",
+		.id = XILINX_FRMBUF_FMT_Y_U_V10,
+		.bpw = 32,
+		.ppw = 3,
+		.num_planes = 3,
+		.v4l2_fmt = V4L2_PIX_FMT_X403,
+		.drm_fmt = DRM_FORMAT_X403,
+		.fmt_bitmask = BIT(25),
+	},
 };
 
 /**
@@ -762,7 +773,8 @@ static void xilinx_xdma_set_config(struct dma_chan *chan, u32 fourcc, u32 type)
 	}
 
 	if ((!(xdev->cfg->flags & XILINX_THREE_PLANES_PROP)) &&
-	    xil_chan->vid_fmt->id == XILINX_FRMBUF_FMT_Y_U_V8) {
+	    (xil_chan->vid_fmt->id == XILINX_FRMBUF_FMT_Y_U_V8 ||
+	     xil_chan->vid_fmt->id == XILINX_FRMBUF_FMT_Y_U_V10)) {
 		dev_err(chan->device->dev, "doesn't support %s format\n",
 			xil_chan->vid_fmt->dts_name);
 		/* Restore to old video format */
-- 
2.34.1

